Bug 859475 - Typing based search for finding a keyboard layout is suboptimal
Typing based search for finding a keyboard layout is suboptimal
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 11:57 EDT by Stef Walter
Modified: 2014-02-05 07:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:14:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2012-09-21 11:57:20 EDT
Description of problem:

One of the big use cases for using the KEYBOARD pane is if you can't type with the default keyboard layout, and need to find the one that matches how you type.

In this case presenting the user with a big list of layouts in the 'ADD A KEYBOARD LAYOUT' dialog, and expecting them to type to filter the search
and find a specific layout is problematic. It's very probable that the reason they've come here is that they cannot yet type, and can only use the mouse.

Much better would be to have a categorized or tree based filtering in this
case. 

Version-Release number of selected component (if applicable):

FEDORA 18-Alpha INSTALLATION
Comment 1 Vratislav Podzimek 2012-09-25 04:51:14 EDT
We were discussing the possibilities and we decided to follow the same layout and functionality as the gnome-control-center.

Just adding a link to the upstream bug against gnome-control-center:
https://bugzilla.gnome.org/show_bug.cgi?id=684565
Comment 2 Fedora End Of Life 2013-12-21 03:54:39 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 07:14:43 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.